<html>
<body>
A description of how to use some of the models with analysis plug-ins (<a href="workwithmodels.pdf">pdf</a>, 20kb).<br>
The example models are:
<ul>
  <li><b>Display_System.aadl</b>:
      A detailed AADL model of an Avionics Display System: 21,000 lines of AADL (including a presentation [<a href="DisplaySystemReno112004.pdf">pdf</a>, 954kb], a short summary description [<a href="DisplaySystemDescription122004.pdf">pdf</a>, 13kb] by the model author, and observations on the resulting model [<a href="networkloadmodeling012005.pdf">pdf</a>, 538kb]). This model can be processed by OSATE. Conversion into XML, semantic checking, creation of an instance model, resource allocation via binpacking, and flow latency analysis via OSATE plug-ins are supported.
  </li>
  <li><b>Avionics_System.aadl</b>:
      A high-level model of several avionics system subsystems that are mapped into partitions. End-to-end flow latency analysis determines the minimum latency for providing a new page on the multi-function display.
  </li>
  <li><b>tripleredundant.aadl</b>:
      A triple redundant system example that illustrates the use of modes in modeling redundant systems with physical and logical redundancy. This model demonstrates the benefit of semantic analysis of modal systems.
  </li>
  <li><b>securityexample.aadl</b>:
      A simple security level checking example that  illustrates the use of property sets to introduce a new property and an analysis of security level violations of connection- based flows in a system model. 
  </li>
  <li><b>safetyexample.aadl</b>:
      A simple safety criticality checking example that illustrates the use of a safety criticality property to ansure that a low safety criticality component does not control the execution of a high safety criticality component. The analysis plug- in supporting this analysis is almost identical to the security level analysis plug-in.
  </li>
  <li><b>SunseekerDemo.aadl</b>:
      A simple missile guidance example. This model was originally developed as a MetaH model with the MetaH toolset performing analysis and code generation. The AADL model is analyzable and can be translated back to MetaH with the prototype AADL-to-MetaH translator.
  </li>
  <li><b>cruise_control.aadl, cruise_control_example_4.aadl</b>:
      A cruise control example, from a control engineer's perspective, and a conceptual design.
  </li>
  <li><b>CockpitDisplay.aadl</b>:
      A simple cockpit display system example.
  </li>
  <li><b>instancemodeexample.aadl</b>:
      An example of a system with several modal subsystems. The instantiation of this model demonstrates the ability of OSATE to generate all possible SystemOperationModes.
  </li>
  <li><b>errormodelexample.aadl</b>:
      An example of an AADL model with error model annex subclauses. This example is part of the Error Model Annex.
  </li>
</body>
</html>